Support » Plugin: Ajax add to cart for WooCommerce » Fatal error: Uncaught Error: [] operator not supported

  • Fatal error: Uncaught Error: [] operator not supported for strings in /home/u/user/site.com/public_html/wp-content/plugins/woo-ajax-add-to-cart/woo-ajax-add-to-cart.php:128 Stack trace: #0 /home/u/user/site.com/public_html/wp-includes/class-wp-hook.php(289): QLWCAJAX->add_action_links(‘<‘) #1 /home/u/user/site.com/public_html/wp-includes/plugin.php(206): WP_Hook->apply_filters(‘<‘, Array) #2 /home/u/user/site.com/public_html/wp-admin/includes/class-wp-plugins-list-table.php(942): apply_filters(‘plugin_action_l…’, ‘<‘, ‘woo-ajax-add-to…’, Array, ‘all’) #3 /home/u/user/site.com/public_html/wp-admin/includes/class-wp-plugins-list-table.php(698): WP_Plugins_List_Table->single_row(Array) #4 /home/u/user/site.com/public_html/wp-admin/includes/class-wp-list-table.php(1322): WP_Plugins_List_Table->display_rows() #5 /home/u/user/site.com/public_html/wp-admin/includes/class-wp-list-table.php(1249): WP_List_Table->display_rows_or_placeholder() #6 /home/a/andrews32/ti in /home/u/user/site.com/public_html/wp-content/plugins/woo-ajax-add-to-cart/woo-ajax-add-to-cart.php on line 128
    ========
    WP version is latest(5.5.2) and Woocommece version is 4.6.1. PHP 7.1.

Viewing 1 replies (of 1 total)
  • Additional errors:
    1)
    protected function row_actions( $actions, $always_visible = false ){ // Warning: count(): Parameter must be an array or an object that implements Countable in… /wp-admin/includes/class-wp-list-table.php…

    Not solved, just changed to: @$action_count = count( $actions );
    ==============
    2)
    foreach($actions as $action => $link){ ++$i; $sep = ( $i < $action_count ) ? ‘ | ‘ : ”; $out .= “<span class=’$action’>$link$sep</span>”; } // Warning: Invalid argument supplied for foreach()…

    Solved. Changed to:
    if(is_array($actions) && !empty($actions)){
    foreach($actions as $action => $link){…}
    }

    All these errors was found on the page “u/wp-admin/plugins.php”. WP, Woocommerce and Ajax add to cart for WooCommerce versions are latest, PHP is 7.2.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.